# Uses of Interface
org.opensaml.saml.saml2.core.LogoutResponse

Packages that use LogoutResponse
Package
Description
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.testing

## Uses of LogoutResponse in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement LogoutResponse
Modifier and Type
Class
Description
`class`
`LogoutResponseImpl`
A concrete implementation of `LogoutResponse`.
Methods in org.opensaml.saml.saml2.core.impl that return LogoutResponse
Modifier and Type
Method
Description
`LogoutResponse`
LogoutResponseBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`LogoutResponse`
LogoutResponseBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of LogoutResponse in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return LogoutResponse
Modifier and Type
Method
Description
`static LogoutResponse`
SAML2ActionTestingSupport.`buildLogoutResponse()`
Builds an empty logout response.